Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class XMLType

    java.lang.Object
      |
      +--org.apache.axis.Constants
            |
            +--org.apache.axis.encoding.XMLType

public class XMLType
extends Constants

Field Summary
`static QName` | `AXIS_VOID` A "marker" XML type QName we use to indicate a void type.

Fields inherited from class org.apache.axis.Constants
`ANYCONTENT, ATTR_ACTOR, ATTR_ARRAY_TYPE, ATTR_ENCODING_STYLE, ATTR_HANDLERINFOCHAIN, ATTR_HREF, ATTR_ID, ATTR_MUST_UNDERSTAND, ATTR_OFFSET, ATTR_POSITION, ATTR_QNAME, ATTR_ROLE, ATTR_ROOT, ATTR_TYPE, AXIS_SAX, AXIS_VERSION, DEFAULT_SOAP_VERSION, ELEM_BODY, ELEM_ENVELOPE, ELEM_FAULT, ELEM_FAULT_ACTOR, ELEM_FAULT_CODE, ELEM_FAULT_DETAIL, ELEM_FAULT_STRING, ELEM_HEADER, ELEM_MISUNDERSTOOD, ENTERPRISE_LOG_CATEGORY, FAULT_MUSTUNDERSTAND, FAULT_SERVER_GENERAL, FAULT_SERVER_USER, MC_CONFIGPATH, MC_HOME_DIR, MC_JWS_CLASSDIR, MC_REALPATH, MC_RELATIVE_PATH, MC_REMOTE_ADDR, MC_SERVLET_ENDPOINT_CONTEXT, MIME_DATA_HANDLER, MIME_IMAGE, MIME_MULTIPART, MIME_PLAINTEXT, MIME_SOURCE, NS_PREFIX_SCHEMA_XSD, NS_PREFIX_SCHEMA_XSI, NS_PREFIX_SOAP_ENC, NS_PREFIX_SOAP_ENV, NS_PREFIX_WSDL, NS_PREFIX_WSDL_SOAP, NS_PREFIX_XML, NS_PREFIX_XMLSOAP, NS_URI_AXIS, NS_URI_JAVA, NS_URI_WSDL11, NS_URI_XML, NS_URI_XMLNS, NS_URI_XMLSOAP, NS_URIS_WSDL, NS_URIS_WSDL_SOAP, QNAME_FAULTACTOR, QNAME_FAULTCODE, QNAME_FAULTDETAILS, QNAME_FAULTSTRING, QNAME_LITERAL_ITEM, QNAME_NO_SERVICE_FAULT_CODE, QNAME_RPC_RESULT, QNAMES_NIL, SOAP_ARRAY, SOAP_BASE64, SOAP_BOOLEAN, SOAP_BYTE, SOAP_DECIMAL, SOAP_DOUBLE, SOAP_ELEMENT, SOAP_FLOAT, SOAP_INT, SOAP_INTEGER, SOAP_LONG, SOAP_MAP, SOAP_SHORT, SOAP_STRING, SOAP_VECTOR, URI_1999_SCHEMA_XSD, URI_1999_SCHEMA_XSI, URI_2000_SCHEMA_XSD, URI_2000_SCHEMA_XSI, URI_2001_SCHEMA_XSD, URI_2001_SCHEMA_XSI, URI_DEFAULT_SCHEMA_XSD, URI_DEFAULT_SCHEMA_XSI, URI_DEFAULT_SOAP_ENC, URI_DEFAULT_SOAP_ENV, URI_LITERAL_ENC, URI_SOAP11_ENC, URI_SOAP11_ENV, URI_SOAP11_HTTP, URI_SOAP11_NEXT_ACTOR, URI_SOAP12_ENC, URI_SOAP12_ENV, URI_SOAP12_FAULT, URI_SOAP12_HTTP, URI_SOAP12_NEXT_ACTOR, URI_SOAP12_RPC, URI_SOAP12_UPGRADE, URI_WSDL11_SOAP, URIS_SCHEMA_XSD, URIS_SCHEMA_XSI, URIS_SOAP_ENC, URIS_SOAP_ENV, XSD_ANY, XSD_ANYTYPE, XSD_ANYURI, XSD_BASE64, XSD_BOOLEAN, XSD_BYTE, XSD_DATE, XSD_DATETIME, XSD_DAY, XSD_DECIMAL, XSD_DOUBLE, XSD_DURATION, XSD_FLOAT, XSD_HEXBIN, XSD_INT, XSD_INTEGER, XSD_LONG, XSD_MONTH, XSD_MONTHDAY, XSD_NAME, XSD_NCNAME, XSD_NEGATIVEINTEGER, XSD_NMTOKEN, XSD_NONNEGATIVEINTEGER, XSD_NONPOSITIVEINTEGER, XSD_NORMALIZEDSTRING, XSD_POSITIVEINTEGER, XSD_QNAME, XSD_SHORT, XSD_STRING, XSD_TIME, XSD_TIMEINSTANT1999, XSD_TIMEINSTANT2000, XSD_TOKEN, XSD_UNSIGNEDBYTE, XSD_UNSIGNEDINT, XSD_UNSIGNEDLONG, XSD_UNSIGNEDSHORT, XSD_YEAR, XSD_YEARMONTH`

Constructor Summary
`XMLType()`

Methods inherited from class org.apache.axis.Constants
`equals, getValue, getValue, isSchemaXSD, isSchemaXSI, isSOAP_ENC, isSOAP_ENV, isWSDL, isWSDLSOAP`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AXIS_VOID

    public static final QName AXIS_VOID

  A "marker" XML type QName we use to indicate a void type.

Constructor Detail

### XMLType

    public XMLType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.